OTBCLI_POLYGONCLASSSTATISTICS(1)

NAME
otbcli_StereoFramework - OTB StereoFramework application otbcli_PolygonClassStatistics - OTB PolygonClassStatistics application

DESCRIPTION
This is the PolygonClassStatistics application, version 5.4.0 Computes statistics on a training polygon set.

Complete documentation: http://www.orfeo-toolbox.org/Applications/PolygonClassStatistics.html

  Parameters:

-progress <boolean>
    Report progress

MISSING -in <string> InputImage (mandatory)

-mask
    <string> InputMask (optional, off by default)

MISSING -vec <string> Input vectors (mandatory) MISSING -out <string> Output Statistics (mandatory)

-field
    <string> Field Name (optional, on by default, default value is class)

-layer
    <int32> Layer Index (optional, on by default, default value is 0)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_PolygonClassStatistics -in support_image.tif -vec variousVectors.sqlite -field label -out polygonStat.xml